Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.table
Class SortedColumnInfo

    java.lang.Object
      |
      +--com.smardec.asc.table.SortedColumnInfo

public class SortedColumnInfo
extends java.lang.Object

SortedColumnInfo class provides information about sorted column.

See Also:
  `SortedTableModel.getSortingColumns()`, `SortedTableModel.setSortingColumns(java.util.List)`

Constructor Summary
`SortedColumnInfo(int columnIndex, boolean ascending)` Creates `SortedColumnInfo` object with specified `columnIndex` and sort order.

Method Summary
`int` | `getColumnIndex()` Returns model column index.
`boolean` | `isAscending()` Returns columns sort order
`protected void` | `setAscending(boolean ascending)` Specifies column sort order.
`protected void` | `setColumnIndex(int columnIndex)` Specifies model column index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortedColumnInfo

    public SortedColumnInfo(int columnIndex,
                            boolean ascending)

  Creates `SortedColumnInfo` object with specified `columnIndex` and sort order.

Parameters:
  `columnIndex` - model column index
  `ascending` - `true` to set ascending sort order, `false` to set descending sort order
See Also:
  `SortedTableModel.setSortingColumns(java.util.List)`

Method Detail

### getColumnIndex

    public int getColumnIndex()

  Returns model column index.

  Returns:
    model column index.

### setColumnIndex

    protected void setColumnIndex(int columnIndex)

  Specifies model column index.
  Note: SortedColumnInfo is an immutable object due to optimization. Be accurate overriding this method when using `SortedTableModel.getSortingColumns()` because this data is used for internal purpose.

  Parameters:
    `columnIndex` - model column index

### isAscending

    public boolean isAscending()

  Returns columns sort order

  Returns:
    `true` if sort order ascending, `false` if sort order descending

### setAscending

    protected void setAscending(boolean ascending)

  Specifies column sort order.
  Note: SortedColumnInfo is an immutable object due to optimization. Be accurate overriding this method when using `SortedTableModel.getSortingColumns()` because this data is used for internal purpose.

  Parameters:
    `ascending` - `true` to set ascending sort order, `false` to set descending sort order

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.